c = get_config()

c.Authenticator.allow_all = True
c.Authenticator.allow_existing_users = True
# 管理员用户列表
c.Authenticator.admin_users = {'jupyterhub'}
c.DummyAuthenticator.password = "jupyterhub"  # 初始密码设置
c.JupyterHub.admin_access = True
c.LocalAuthenticator.create_system_users=True

#c.Authenticator.admin_users = {'root'}  # 管理员用户
#c.DummyAuthenticator.password = "123"  # 初始密码设置

# 使用 PAMAuthenticator 作为身份验证类
c.JupyterHub.authenticator_class = 'jupyterhub.auth.PAMAuthenticator'
# 允许自动创建系统用户
c.LocalAuthenticator.create_system_users = True


 
# 设置每个用户的 book类型 和 工作目录（创建.ipynb文件自动保存的地方）
c.Spawner.notebook_dir = '~'
c.Spawner.default_url = '/lab'
c.Spawner.args = ['--allow-root'] 

